package com.zivilon.cinder_loe.blocks;

import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.relauncher.SideOnly;

import java.util.List;
import java.util.Random;

import lotr.common.LOTRDimension;
import lotr.common.block.LOTRBlockUtumnoPortal;
import lotr.common.tileentity.LOTRTileEntityUtumnoPortal;

import net.minecraft.block.Block;
import net.minecraft.block.BlockContainer;
import net.minecraft.block.material.Material;
import net.minecraft.client.renderer.texture.IIconRegister;
import net.minecraft.entity.Entity;
import net.minecraft.init.Blocks;
import net.minecraft.item.Item;
import net.minecraft.tileentity.TileEntity;
import net.minecraft.util.AxisAlignedBB;
import net.minecraft.util.IIcon;
import net.minecraft.world.World;
import com.zivilon.cinder_loe.tileentity.TileEntityMistBlock;

public class MistBlock extends LOTRBlockUtumnoPortal {
    public float color_red;
    public float color_green;
    public float color_blue;
    public MistBlock() {
        super();
        color_red = 0.0F;
        color_green = 0.0F;
        color_blue = 0.0F;
        setBlockTextureName("lotr:mist_block");
        setBlockName("lotr:mistBlock");
    }
    public MistBlock(float r, float g, float b) {
        super();
        color_red = r;
        color_green = g;
        color_blue = b;
        setHardness(-1.0F);
        setResistance(Float.MAX_VALUE);
        setBlockTextureName("lotr:mist_block");
        setBlockName("lotr:mistBlock");
    }

    public TileEntity createNewTileEntity(World world, int i) {
        return (TileEntity)new TileEntityMistBlock(color_red, color_green, color_blue);
    }

    public void func_149670_a(World world, int i, int j, int k, Entity entity) {}

}
